Announcement

Collapse
No announcement yet.

DYNAMIC Search ERROR on Apply if grid has nested grid with nested grid (v9.1)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • DYNAMIC Search ERROR on Apply if grid has nested grid with nested grid (v9.1)

    Scriptcase 9.1 DYNAMIC Search ERROR on Apply if grid has nested grid with nested grid

    version Scriptcase 9.1.000

    ERROR description:
    grid_1 has a nested grid grid_2
    grid_2 has a nested grid grid_3

    Using DYNAMIC search in grid_1 and pressing Apply button
    application grid_1 stops with a list of errors.
    ERROR in grid_1 dissapears if grid_2 is modified deleting link nested grid to grid_3.
    Same apps without changes running without this error before update 9.1.000
    The ERROR appears after update 9.1.000

  • #2
    image: 3 nested grids and error

    Comment


    • #3
      Error also after Scriptcase 9.1.001 update.

      Comment


      • #4
        After error all searchs (quick search, advanced search and dynamic search) generate persistent errors until application exit and restart.

        Comment


        • #5
          Error also after Scriptcase 9.1.003 update.

          Comment


          • #6
            Error also after Scriptcase 9.1.004 update.

            Comment


            • #7
              Error also after Scriptcase 9.1.006 update.

              Comment


              • #8
                Error also after Scriptcase 9.1.009 update.

                Comment


                • #9
                  Sample and ERROR

                  Comment


                  • #10
                    Your application seems to be corrupted. Maybe try to rebuild the app.

                    Comment


                    • #11
                      Rebuild does not correct the error in
                      - this example and simple test project
                      - several real projects created in previous versions and rebuild in version 9.100 and following versions.
                      - real new projects in version 9.1.000 and following versions.

                      The error appears from version 9.1.000 for new applications and for updated applications in which it was not produced before version 9.1.000 (condition documented in first comment of this post).

                      Each test of the error has been executed by creating again the simple example project from a new empty project and the error is always maintained.

                      The same project created in previous version to 9.1.000 does not produce the error.

                      It is not an error in a project. The error occurs in any updated or new project from version 9.1.000.

                      Comment


                      • #12
                        Error also after Scriptcase 9.2.000 update.

                        Comment


                        • #13
                          Error also after Scriptcase 9.2.003 update.

                          Comment


                          • #14
                            Error also after Scriptcase 9.2.004 update.

                            Comment


                            • #15
                              Error also after Scriptcase 9.2.005 update.

                              Comment

                              Working...
                              X